Subject: RE: [Sigtran] M3UA - ASP database equalization

From: "Zannin, Francois" <[email-masked]>
Date: Thu, 6 Feb 2003 10:44:08 +0100

Bidulock,,

> -----Original Message-----
> From: Brian F. G. Bidulock [mailto:[email-masked]] 
> Sent: Thursday, February 06, 2003 10:22 AM
> To: Zannin, Francois
> Cc: Samuel Dur D. Jeyaseelan; Nagar, Ashish; [email-masked]
> Subject: Re: [Sigtran] M3UA - ASP database equalization
> 
> 
> Zannin,,
> 
> Zannin, Francois wrote:                                       
>                      (Thu, 06 Feb 2003 09:58:46)
> > Bidulock,,
> > 
> > Does it make sense to have "a lot" of ASP UP connected to a SGP and 
> > not ready to do anything?
> 
> They could be active for different AS.

In that case, because SSNM are for ss7 SP and concern all SI (AS), it is
not useless to receive (and you will receive) these SSNM. Now, the
question is about the RC in these SSNM.

> 
> > If an ASP is UP for a SGP, it certainly must be ready to 
> activate an 
> > AS and then concerned by the SSNM, and again, for an emergency AS 
> > recovery (AS-Pending notification) the ASP must be ready to operate 
> > after the Active-ACK.
> > 
> > Only the "ready to operate for an AS" ASP have a reason to 
> be "UP" on 
> > a SG.
> 
> Wrong.  Whenever an ASP goes ASP UP it becomes ASP-INACTIVE 
> for all AS for which it is configured to operate.  Depending 
> on SG configuration, this could mean that the ASP is 
> ASP-INACTIVE for all AS served by the SG, regarless of 
> whether the ASP will ever go ASP-ACTIVE for all of the AS.  
> There is no way for an ASP to tell the SG that it is ASP-DOWN 
> for some AS and ASP-INACTIVE for others.
> 
> Also, the purpose of the ASP-INACTIVE state is to receive 
> NTFY messages for the AS.  In override mode, one ASP is 
> active for the AS and the others are inactive.  The inactive 
> ASPs have no intention of going active unless the active ASP 
> fails, or unless manual management action is taken.
> 

A ss7 state concern all SI (AS) for a NA, the ASP receive the SSNM for
the ACTIVE (or activable) AS.
If no AS is "activable" no reason to send an ASP-UP...

This can be less efficent for SG that plays multiple network!

> > I don't think that it is useful to connect "UP" a lot of 
> ASP with no 
> > reason!
> 
> See above.
> 
> > 
> > You are right, DUNA is not the same thing as MTP-PAUSE, but 
> the sense 
> > is the same, a user (AS) cannot use a ROUTE (or SG) if the 
> remote SP 
> > is inaccessible because of TFP, TCP and then MTP-PAUSE which is the 
> > consolidation of all the routes for a destination.
> > 
> > The reason to wait for a DAUD for the ss7 state on an ASP 
> is to have a 
> > selective use of the ss7 network SP by an AS (then ASP). In 
> that case, 
> > the number of DAUD is limited to the minimum after the ACTIVE 
> > procedure. But as soon as the ASP is active, there is no 
> filter in the 
> > SG for ASP concerned by the SSNM for specific destinations.
> 
> MTP procedures require MTP-PAUSE to be sent to MTP users that 
> are sending to inaccessible destinations.  An MTP conforming 
> SG will send DUNA in response to messages sent to an 
> inacessible destination.
> 

Do you mean that when a SG receive a TFP on the last route for a
destination, it does not send the DUNA to all the ASP???
If yes, that a NEW behavior for a SG?????

> --brian
> 
> > 
> > -----Original Message-----
> > From: Brian F. G. Bidulock [mailto:[email-masked]]
> > Sent: Thursday, February 06, 2003 9:36 AM
> > To: Zannin, Francois
> > Cc: Samuel Dur D. Jeyaseelan; Nagar, Ashish; [email-masked]
> > Subject: Re: [Sigtran] M3UA - ASP database equalization
> > 
> > 
> > Zannin,,
> > 
> > Zannin, Francois wrote:
> > (Thu, 06 Feb 2003 09:27:21)
> > > Bidulock,,,
> > > 
> > > I think your example of 200,000 ASP "UP" as backup for an AS is 
> > > really
> > 
> > > realistic for a network!
> > 
> > 200?  20?  It makes no difference.  The SG cannot be 
> required to send 
> > useless messages to bunch of ASPs that can do nothing with the 
> > information.
> > 
> > > 
> > > The goal is to agree on procedure that can be used for the
> > > implementation of M3UA. There were a lot of threads 
> discussing on this
> > 
> > > subject and not always concluded. The role of the IG is 
> to clarify 
> > > the
> > 
> > > RFC in order to make it usable.
> > > 
> > > This procedure similar to the ss7 network (TFP inform all 
> the SP of
> > > the inaccessibility). If a SG is unable to reach all the ss7 SP 
> > > (200000 PC, means 200000 ungrouped SSNM) it can use the 
> DOWN_ACK or 
> > > INACTIVE_ACK procedure for its own isolation.
> > 
> > DUNA corresponds to MTP-PAUSE not TFP.
> > 
> > Consider 100 APSs inactive, zero (0) ASPs active.
> > 
> > The SG cannot be required to send DUNA to inactive ASPs.  
> When the SG 
> > NIF has no user to send MTP-PAUSE to, it is not possible 
> for the SG to 
> > send DUNA.
> > 
> > The SG cannot be required to send SSNM to inactive ASPs.
> > 
> > Besides, it is unnecessary.
> > 
> > --brian
> > 
> > 
> > > 
> > > -----Original Message-----
> > > From: Brian F. G. Bidulock [mailto:[email-masked]]
> > > Sent: Thursday, February 06, 2003 9:15 AM
> > > To: Zannin, Francois
> > > Cc: Samuel Dur D. Jeyaseelan; Nagar, Ashish; [email-masked]
> > > Subject: Re: [Sigtran] M3UA - ASP database equalization
> > > 
> > > 
> > > Zannin,,
> > > 
> > > That is contrary to the conensus of the RFC.
> > > 
> > > Consider 1 ASP active, 200,000 ASPs inactive.
> > > 
> > > The RFC cannot require an SG to send SSNM to an inactive ASP.
> > > 
> > > --brian
> > > 
> > > Zannin, Francois wrote:
> > > (Thu, 06 Feb 2003 09:02:41)
> > > > Samuel,
> > > > 
> > > > IMO, it's a good idea to inform inactive (BUT UP) ASP 
> of the state
> > > > of
> > > > the ss7 network especially in the override mode where 
> an ASP can be 
> > > > ready to recover an AS as soon as it receive an AS-Pending 
> > > > notification from the SGp. In this condition, the ASP 
> is ready to 
> > > > operate quickly and minimize the risk of buffered message lost
> > during
> > > > the pending timer.
> > > > 
> > > > If someone does not want to receive SSNM because it is 
> not able to 
> > > > recover an AS, it just stays in an ASP-Down state.
> > > > 
> > > > Because SSNM reflects ss7 Point Code state that is not "SI"
> > > > dependant,
> > > 
> > > > it affects all AS for a network and then, unless SG that plays 
> > > > multiple networks, the ASP UP is sufficient to filter the 
> > > > undesired SSNM.
> > > > 
> > > > Francois.
> > > > 
> > > > -----Original Message-----
> > > > From: Samuel Dur D. Jeyaseelan 
> > > > [mailto:[email-masked]]
> > > > Sent: Thursday, February 06, 2003 8:35 AM
> > > > To: Nagar, Ashish
> > > > Cc: [email-masked]
> > > > Subject: RE: [Sigtran] M3UA - ASP database equalization
> > > > 
> > > > 
> > > > 
> > > > Ashish,
> > > > 
> > > > But when inactive ASP changes state to active, first of all it 
> > > > does not know whether to send DAUD or not.
> > > > 
> > > > It will try to send traffic - but actually destination is
> > > > unavailable.
> > > > 
> > > > The worst case is when SG triggers restart procedures this case 
> > > > all the SS7 destinations are unavailable via 
> restarted-SG.But this 
> > > > poor ASP (newly come-up ASP) keeps sending traffic via 
> > > > restarted-SG to reach the SS7 destination and for every message 
> > > > ASP receives DUNA.
> > > > 
> > > > Are we not doing double-work here?
> > > > 
> > > > --Samuel
> > > > 
> > > > 
> > > >   Alcatel USA, Inc.                  Internet:
> > > > <userid>@ssd.usa.alcatel.com
> > > >   1000 Coit Road, Plano, Texas 75075
> > > >   ******* The opinions expressed are not those of Alcatel USA, 
> > > > Inc.
> > > > *******
> > > > 
> > > > On Wed, 5 Feb 2003, Nagar, Ashish wrote:
> > > > 
> > > > > Hi Samuel
> > > > > 
> > > > > My point is why to do any processing if ASP is in Inactive 
> > > > > state.
> > > > > Think about ASP is in Inactive state for longer period and 
> > > > > receiving
> > > 
> > > > > lots of DUNA and DAVA, while what matter is the present only 
> > > > > when
> > > ASP
> > > > > state changes to ASP-ACTIVE.
> > > > > 
> > > > > Thanks & Regards
> > > > > Ashish Nagar
> > > > > 
> > > > > 
> > > > > -----Original Message-----
> > > > > From: Samuel Dur D. Jeyaseelan
> > > > > [mailto:[email-masked]]
> > > > > Sent: Thursday, February 06, 2003 12:30 PM
> > > > > To: Nagar, Ashish
> > > > > Cc: [email-masked]
> > > > > Subject: RE: [Sigtran] M3UA - ASP database equalization
> > > > > 
> > > > > 
> > > > > Ashish,
> > > > > 
> > > > > My point is if SG is able to send DUNA to all inact and active
> > > > > ASPs, we should not restrict it.
> > > > > 
> > > > > Sending DAUD is an alternative way ,If SG has direct way of
> > > > > sending DUNA then Why do you need alternative way?
> > > > > 
> > > > > --Samuel
> > > > > 
> > > > >   Alcatel USA, Inc.                  Internet:
> > > > <userid>@ssd.usa.alcatel.com
> > > > >   1000 Coit Road, Plano, Texas 75075
> > > > >   ******* The opinions expressed are not those of Alcatel USA,
> > > > > Inc.
> > > > > *******
> > > > > 
> > > > > On Wed, 5 Feb 2003, Nagar, Ashish wrote:
> > > > > 
> > > > > > You can generate DAUD procedure at any time, so 
> whenever ASP 
> > > > > > changes
> > > > 
> > > > > > state from Inactive to Active Just generate DAUD.
> > > > > > 
> > > > > > Thanks & Regards
> > > > > > Ashish Nagar
> > > > > > 
> > > > > > 
> > > > > > -----Original Message-----
> > > > > > From: Samuel Dur D. Jeyaseelan 
> > > > > > [mailto:[email-masked]]
> > > > > > Sent: Thursday, February 06, 2003 11:27 AM
> > > > > > To: [email-masked]
> > > > > > Subject: [Sigtran] M3UA - ASP database equalization
> > > > > > 
> > > > > > 
> > > > > > Hi all,
> > > > > > 
> > > > > > Currently RFC 3332 says that SG sends SSNM messages to all
> > > > > > 'concerned ASPs'(means only ACTIVE ASPs).
> > > > > > 
> > > > > > +----+           +---+           +-----+
> > > > > > |SEP | ----------|SG |-----------| ASP1|
> > > > > > +----+           +---+           +-----+
> > > > > >                    |             
> > > > > >                    |             +-----+
> > > > > >                    +-------------| ASP2|
> > > > > >                                  +-----+
> > > > > > 
> > > > > > (ASP1 is active and ASP2 is incative - override mode)
> > > > > > 
> > > > > > When SEP is getting restarted ,SG sends DUNA to 
> ASP1. But SEP
> > > > > > status is not changed in ASP2.There are two ways to 
> solve this 
> > > > > > problem
> > > > > > 
> > > > > > 1. ASP1 can equalize its database with ASP2
> > > > > > or
> > > > > > 2.SG itself can send DUNA... to ASP2 (eventhough ASP2 is
> > > > > > inactive)
> > > > > > 
> > > > > > IMO, SG can send SSNM messages to ASP (either ASP 
> is in active
> > > > > > or inact
> > > > > > state)
> > > > > > 
> > > > > > Any comments?
> > > > > > 
> > > > > > -----
> > > > > > 
> > > > > > section 5.4.2.1
> > > > > > 
> > > > > > ...
> > > > > >       - Pass the MTP-TRANSFER request primitive to 
> the MTP3 of
> > the
> > > > > >         concerned Network Appearance.
> > > > > > 
> > > > > > It conveys the meaning that M3UA layer (at SGP) 
> MTP-TRANSFER 
> > > > > > request
> > > > 
> > > > > > is sent to MTP3.
> > > > > > 
> > > > > > But there is no primitive availabe between M3UA and MTP3.
> > > > > > 
> > > > > > I think it should be corrected.
> > > > > > 
> > > > > > ----
> > > > > > Presently ASP is unaware of SG's MTP3 restart,
> > > > > > ASP receives only DUNA for all SS7 point codes which can be 
> > > > > > reachable via that SG.But in case of peer to peer 
> protocol SG
> > and
> > > > > > AS point codes are different, So why dont we send DUNA with 
> > > > > > SG's
> > 
> > > > > > point code to ASP? So that just by getting single DUNA(with 
> > > > > > SG's
> > 
> > > > > > PC) ASP will not route any message via that
> > > > SG.
> > > > > > This can avoid sending multiple DUNAs to ASP.
> > > > > > 
> > > > > > 
> > > > > > Any comments?
> > > > > > 
> > > > > > -----
> > > > > > section 1.4.1
> > > > > > 
> > > > > > ...
> > > > > >    Where a particular AS can be reached via more 
> than one SGP,
> > the
> > > > > >    corresponding Routing Keys in the SGPs should be 
> identical.
> > > > (Note:
> > > > > >    It is possible for the SGP Routing Key 
> configuration data 
> > > > > > to
> > be
> > > > > >    temporarily out-of-sync during configuration updates).
> > > > > >  
> > > > > >                               +--------+
> > > > > >                               |        |
> > > > > >                  +------------+  SG 1  +--------------+
> > > > > >      +-------+   |  SS7 links | "STP"  |  IP 
> network  |     ----
> > > > > >      |  SEP  +---+            +--------+              +---/
> > \
> > > > > >      |   or  |                    |*                
>       | ASPs
> > > |
> > > > > >      |  STP  +---+            +--------+              +---\
> > /
> > > > > >      +-------+   |            |        |            
>   |     ----
> > > > > >                  +------------+  SG 2  +--------------+
> > > > > >                               | "STP"  |
> > > > > >                               +--------+
> > > > > >  
> > > > > >                     Figure 1  Example with mated SGs
> > > > > > 
> > > > > > Here SGP1 is in SG1 and SGP2 is in SG2. Basically mated SGs 
> > > > > > are
> > > > > > located geographically in different places.The 
> ideas is when SG1
> > 
> > > > > > goes down in CITY1(due to earthquake...) , all the traffice
> > > > > > still can be handled by SG2 which is in CITY2.
> > > > > > 
> > > > > > SGP2 is mate for SGP1, On failure of SGP1, all the messages 
> > > > > > will be routed from SGP1 to SGP2.
> > > > > > 
> > > > > > Does all these things mean to say that SGP1's mate 
> 'should be'
> > > > > > present in SG2 and not in SG1 itself ?
> > > > > >  
> > > > > > 
> > > > > > Comments are welcome.
> > > > > > 
> > > > > > --Samuel
> > > > > > 
> > > > > > 
> > > > > > 
> > > > > > 
> > > > > >   Alcatel USA, Inc.                  Internet:
> > > > > <userid>@ssd.usa.alcatel.com
> > > > > >   1000 Coit Road, Plano, Texas 75075
> > > > > >   ******* The opinions expressed are not those of 
> Alcatel USA, 
> > > > > > Inc.
> > > > > *******
> > > > > > 
> > > > > > _______________________________________________
> > > > > > Sigtran mailing list
> > > > > > [email-masked] 
> > > > > > https://www1.ietf.org/mailman/listinfo/sigtran
> > > > > > _______________________________________________
> > > > > > Sigtran mailing list
> > > > > > [email-masked] 
> https://www1.ietf.org/mailman/listinfo/sigtran
> > > > > > 
> > > 
> > > 
> > > > 
> > > > _______________________________________________
> > > > Sigtran mailing list
> > > > [email-masked] https://www1.ietf.org/mailman/listinfo/sigtran
> > > > _______________________________________________
> > > > Sigtran mailing list
> > > > [email-masked] https://www1.ietf.org/mailman/listinfo/sigtran
> > > 
> > > --
> > > Brian F. G. Bidulock
> > > [email-masked]
> > > http://www.openss7.org/
> > 
> > --
> > Brian F. G. Bidulock
> > [email-masked]
> > http://www.openss7.org/
> 
> -- 
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
> 
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 6 Feb 2003 02:53:46 -0700

Zannin,,

Zannin, Francois wrote:                                                            (Thu, 06 Feb 2003 10:44:08)
> question is about the RC in these SSNM.

AS is not synonymous with SI.  AS can be for different point codes.

> If no AS is "activable" no reason to send an ASP-UP...

Yes, the reason is to act as standby for one active AS.

> This can be less efficent for SG that plays multiple network!

Actually it is very efficient for an SG to consider all ASPs
as ASP-INACTIVE for all AS that it serves: particularly if, as
in the RFC, it is not required to send SSNM to inactive ASPs.

> If yes, that a NEW behavior for a SG?????

I did not say that.  I said: "An MTP conforming SG will send DUNA
in response to messages sent to an inacessible destination."

--brian